4

When attempting to install the Development Tools on CentOS 7 I get the error:

Error: Package: systemtap-devel-2.8-10.el7.armv7hl (base)
           Requires: kernel-devel

However I can not seem to find a kernel-devel with yum search? Anyone know how to get around this issue?

1

Like Sinclair says, here is the Repo for Raspberry Pi 2/3. I suggest better than use the yum repo, download manually the rmp from it and install it using yum.

0

Check that kernel files are not excluded from updates in the /etc/yum.conf file. If you see a line like this:

exclude=kernel*

comment it out and try the yum command again. You may need to run

yum clean all

first to re-populate the yum cache.

-1

CentOS 7 includes a kernel-devel package, see http://mirror.centos.org/centos/7/os/x86_64/Packages/. Each update changes the kernel version (the 327 in kernel-devel-3.10.0-327.el7.x86_64.rpm). The hardware architecture "x86_64" is also important. Compare output from Linux command "uname -a" (reports information about your system) with the package name.

Yum only works if the repositories are configured and reachable. Rpm files can also be located on a CentOS install DVD under the Packages directory. You can install them with the "rpm -i" command. Again, architecture and versions need to match.

  • This is not really relevant since the Pi does not use the x86_64 package but a custom arm build. – Steve Robillard Apr 14 '16 at 15:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.